org.eclipse.rdf4j.rio

## Class PositiveParserTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.rio.PositiveParserTest

- All Implemented Interfaces:
    junit.framework.Test

      public class PositiveParserTest
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IRI` | `testUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositiveParserTest(IRI testUri, String testName, String inputURL, String outputURL, String baseURL, RDFParser targetParser, RDFParser ntriplesParser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runTest()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### testUri

          protected IRI testUri

  - ### Constructor Detail

    - #### PositiveParserTest

          public PositiveParserTest(IRI testUri,
                                    String testName,
                                    String inputURL,
                                    String outputURL,
                                    String baseURL,
                                    RDFParser targetParser,
                                    RDFParser ntriplesParser)
                             throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### runTest

          protected void runTest()
                          throws Exception

      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.